Fix udelay bug in vfd.c for trab board
Patch by Martin Krause, 27 Oct 2005

---
commit d49e715af3c30fefb24f5634b96280d5835a700e
tree 7a1fe09e0b8bc110adf0a9815c513b2731015a54
parent e2d52ed5ae396d3cf0909ef9eecaa51e93924ebd
author Martin Krause <mkr@tq-sewsrv-4> Thu, 27 Oct 2005 15:04:46 +0200
committer Martin Krause <mkr@tq-sewsrv-4> Thu, 27 Oct 2005 15:04:46 +0200

 board/trab/vfd.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/board/trab/vfd.c b/board/trab/vfd.c
index f510ee5..7f271cd 100644
--- a/board/trab/vfd.c
+++ b/board/trab/vfd.c
@@ -359,6 +359,8 @@ void transfer_pic(int display, unsigned 
  */
 int vfd_init_clocks (void)
 {
+	int i;
+
 	S3C24X0_GPIO * const gpio = S3C24X0_GetBase_GPIO();
 	S3C24X0_TIMERS * const timers = S3C24X0_GetBase_TIMERS();
 	S3C24X0_LCD * const lcd = S3C24X0_GetBase_LCD();
@@ -368,7 +370,9 @@ int vfd_init_clocks (void)
 	 */
 	gpio->PCUP = (gpio->PCUP & 0xFFF0);	/* activate  GPC0...GPC3 pullups */
 	gpio->PCCON = (gpio->PCCON & 0xFFFFFF00);	/* configure GPC0...GPC3 as inputs */
-	udelay (10);				/* allow signals to settle */
+	/* allow signals to settle */
+	for (i=0; i<10000; i++)	/* udelay isn't working yet at this point! */
+		__asm("NOP");
 	vfd_board_id = (~gpio->PCDAT) & 0x000F;	/* read GPC0...GPC3 port pins */
 
 	VFD_DISABLE;				/* activate blank for the vfd */
